Listar los mensajes de un trabajo
curl --request GET \
--url https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/jobs/{jobId}/messages \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/jobs/{jobId}/messages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/jobs/{jobId}/messages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/jobs/{jobId}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"severity": "error",
"code": "<string>",
"params": {},
"rowNumber": 123,
"column": "<string>"
}
],
"nextCursor": "<string>",
"total": 123
}{
"type": "<string>",
"status": 123,
"code": "core.job_not_found",
"requestId": "<string>",
"title": "<string>",
"params": {},
"errors": [
{
"location": "<string>",
"pointer": "<string>",
"code": "<string>",
"params": {}
}
]
}Trabajos
Listar los mensajes de un trabajo
Lista los mensajes de un trabajo, página por página.
GET
/
api
/
v1
/
orgs
/
{orgId}
/
core
/
jobs
/
{jobId}
/
messages
Listar los mensajes de un trabajo
curl --request GET \
--url https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/jobs/{jobId}/messages \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/jobs/{jobId}/messages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/jobs/{jobId}/messages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/jobs/{jobId}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"severity": "error",
"code": "<string>",
"params": {},
"rowNumber": 123,
"column": "<string>"
}
],
"nextCursor": "<string>",
"total": 123
}{
"type": "<string>",
"status": 123,
"code": "core.job_not_found",
"requestId": "<string>",
"title": "<string>",
"params": {},
"errors": [
{
"location": "<string>",
"pointer": "<string>",
"code": "<string>",
"params": {}
}
]
}Autorizaciones
Parámetros de consulta
¿Esta página le ayudó?